%uso semilogy per avere una scala logaritmica sull'asse delle ordinate e lineare sull'asse delle ascisse
%Il comando roots calcola numericamente le radici di un polinomio, espresso
%come un vettore di coefficienti. 
z=roots([1 -1 0 -1]);
x=0:1:50;
q=max(z);
y=q.^x;
semilogy(x,y,'b*');
hold on;
n=50;


semilogy(successione(n),'r*');

% definisco la successione    
function g=successione(n)
    %casi base
   g=zeros(1,n);
   g(1)=1;
   g(2)=1;
   g(3)=2;
   %regola ricorsiva
   for i=4:n
       g(i)=g(i-1)+g(i-3);
   end
end

